
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class KeyframeSolid extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const KeyframeSolid({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" viewBox="0 0 24 24" stroke-width="1.5" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M9.9651 2.12378C11.0562 0.923581 12.9437 0.923583 14.0348 2.12379L21.3319 10.1506C22.2855 11.1995 22.2855 12.8014 21.3319 13.8502L14.0348 21.877C12.9438 23.0772 11.0562 23.0772 9.9651 21.877L2.66806 13.8502C1.71451 12.8014 1.71449 11.1995 2.66804 10.1506L9.9651 2.12378Z" fill="currentColor"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
